MATE 1.8

Teme koje se tiču podešavanja i zanimljivosti u vezi desktop okruženja

Moderators: Sinisa, Urednik

Post Reply

Prijatelj foruma
Prijatelj foruma
offline
User avatar

Posts: 2115
Joined: 08 Jun 2010, 13:28
Location: Centralna Srbija
Contact:

Post Napisano: 12 Mar 2014, 16:46


Mate 1.7 paketi nisu rađeni za Slakver, bile su neke testing među i predverzije.
Pre nekoliko dana Mate 1.8 okruženje je postalo stabilno pa je Willy uz pomoć Chess Griffina uradio i gotove pakete, što svodi instalaciju Mate grafičkog okruženja na vreme od oko 5 minuta.

Postoji više načina kako instalirati Mate 1.8 ili ažurirati ga sa verzije 1.6.
Kompajliranje sa git huba ću ovom prilikom preskočiti, mada se za nadogradnju ili instalaciu Mate 1.8 na Slakver 14.0 upravo to preporučuje uz instalaciju paketa dconf i itstool. Inače Mate 1.8 zvanično nije podržan za Slakver 14.0 već je on rađen za Slakver 14.1.

Od Vilija malopre
Hi

For Slackware 14.0, it's recommended to build it from GIT (master branch)
you will need to install dconf and itstool first as they are not
available in Slackware 14.0

PS: We don't officially support Slackware 14.0 anymore, since we only
stick to 1 MATE Release + 1 Slackware release and the currently
supported is Slackware 14.1 / MATE 1.8
Instalacija sa gotovim (binarnim) paketima traje ukupno oko pet minuta. Ažuriranje Mate 1.6 na 1.8 verovatno neki minut duže.

Mate 1.8 32-bit

Code: Select all

bash-4.2# lftp -c 'open http://repo.mate-desktop.org/slackware/14.1/1.8/ ; mirror x86'
bash-4.2# cd x86/base
bash-4.2# upgradepkg --install-new --reinstall *.txz
bash-4.2# cd ../extra
bash-4.2# upgradepkg --install-new --reinstall *.txz
Mate 1.8 64-bit

Code: Select all

bash-4.2# lftp -c 'open http://repo.mate-desktop.org/slackware/14.1/1.8/ ; mirror x86_64'
bash-4.2# cd x86_64/base
bash-4.2# upgradepkg --install-new --reinstall *.txz
bash-4.2# cd ../extra
bash-4.2# upgradepkg --install-new --reinstall *.txz
Kod ažuriranja sa verzija 1.6 neophodno je ukloniti i sledeće stare ili preimenovane takođe stare pakete

Code: Select all

bash-4.2# removepkg mate-file-manager-gksu
bash-4.2# removepkg mate-file-manager-image-converter
rbash-4.2# removepkg mate-file-manager-open-terminal
bash-4.2# removepkg mate-file-manager-sendto
bash-4.2# removepkg mate-keyring
bash-4.2# removepkg libmatekeyring
bash-4.2# removepkg mate-doc-utils
bash-4.2# removepkg libmatewnck
bash-4.2# removepkg mate-character-map
bash-4.2# removepkg mate-bluetooth

bash-4.2# removepkg mate-file-manager
bash-4.2# removepkg mate-window-manager
bash-4.2# removepkg mate-document-viewer
bash-4.2# removepkg mate-image-viewer
bash-4.2# removepkg mate-file-archiver
bash-4.2# removepkg mate-menu-editor
bash-4.2# removepkg mate-text-editor
Opciono mogu se ukloni i naredna dva paketa

Code: Select all

bash-4.2# removepkg pam
bash-4.2# removepkg pam_unix2
Restart, ulogovati se, uneti xwmconfig te odabrati xinitrc.mate-session, pa startx.
Mate.jpeg
Da bi ste bili sigurni da su svih 62 paketa instalirana/ažurirana, možete proveriti

Code: Select all

bash-4.2$ ls /var/log/packages | grep _msb | wc -l
Screenshot.png
Takođe možete uraditi i sledeće, dodati naredne komande u terminal

Code: Select all

bash-4.2$ xdg-mime default caja-folder-handler.desktop inode/directory
bash-4.2$ xdg-mime default caja-folder-handler.desktop application/x-directory
I dobićete u vašem /home/korisnicko_ime/local/share/applications fajl defaults.list narednog sadržaja

Code: Select all

bash-4.2$ cat $HOME/.local/share/applications/defaults.list
[Default Applications]
inode/directory=caja-folder-handler.desktop
application/x-directory=caja-folder-handler.desktop
Pored ovog načina, postoji mogućnost da se Mate 1.8 instalira i preko alata slackpkg+
Dodati jedan od repoa za gotove paket Mate 1.8 u /etc/slackpkg/slackpkgplus.conf

Code: Select all

bash-4.2# vim /etc/slackpkg/slackpkgplus.conf
u polje repoplus dodati tag msb,
REPOPLUS=( msb )
za 32-bit dodati repozitorijum

Code: Select all

MIRRORPLUS['msb']=http://repo.mate-desktop.org/slackware/14.1/1.8/x86/
za 64-bit dodati repo

Code: Select all

MIRRORPLUS['msb']=http://repo.mate-desktop.org/slackware/14.1/1.8/x86_64/
pa

Code: Select all

slackpkg update gpg
slackpkg update
slackpkg install msb
snapshot6.jpeg
Lično, barem za sada, više sam za prvi način nego za slackpkg+, mada se uvek može popraviti ako slackpkg+ nešto ne odradi kako treba.
Napomena, naročito kod ažuriranja, vršiti ga iz drugog grafičkog okruženja npr. iz Xfce-a ili Kde-a.

Korisni linkovi
http://www.linuxquestions.org/questions ... 175495376/" onclick="window.open(this.href);return false;
http://www.linuxquestions.org/questions ... ?p=4968614" onclick="window.open(this.href);return false;
https://github.com/mateslackbuilds/msb" onclick="window.open(this.href);return false;
http://mateslackbuilds.github.io/" onclick="window.open(this.href);return false;
http://www.slackware.org.uk/msb/" onclick="window.open(this.href);return false;
http://repo.mate-desktop.org/slackware/14.1/1.8/" onclick="window.open(this.href);return false;
http://repo.ukdw.ac.id/msb/14.1/1.8/" onclick="window.open(this.href);return false;
http://repo2.ukdw.ac.id/msb/14.1/1.8/" onclick="window.open(this.href);return false;
http://mate-desktop.org/blog/2014-03-04 ... -released/" onclick="window.open(this.href);return false;



Prijatelj foruma
Prijatelj foruma
offline
User avatar

Posts: 2115
Joined: 08 Jun 2010, 13:28
Location: Centralna Srbija
Contact:

Post Napisano: 13 Mar 2014, 15:57


Dodao bih u vezi nadograde Mate 1.6 na 1.8 na Slakveru 14.0.
Na LQ sam preko jednog korisnika (Totoro-kun) došao do saznanja (a i Viliša mi to pominje u pismu) da je uz instaliranje određenih paketa (dconf, itstool, libsecret i grupa peketa pygobject3, libsigc++, glibmm, cairomm, pangomm i atkmm) moguće uspešno instalirati/nadograditi Mate 1.8 na Slakveru 14.0 (napominjem verzija sistema je 14.0). I sve to juče sam probao na svom primarnom sistemu, nažalost beuzspešno. Došao sam čak i do toga da sam nekako otišao sistemski paket Glibc pa da nisam mogao da podignem X server, što je za mene noćna mora.

Kasnije sam to nekako rešio (sreća imam drugu distribuciju, preko koje sam preuzeo paket te ga instaliro preko tty1), ali ni to nije pomoglo, Mate 1.8 kod mene nije radio kako treba (CPU radi pod opterećenjem), tako da sam vratio sve pakete Mate 1.6 (prilično paketa od Mate 1.8 sam morao i "peške" da tražim i deinstliram) jer neke stvari nisu htele da rade sa novim paketima.

I ako pomenuti paketi (dconf, itstool, libsecret i grupa peketa pygobject3, libsigc++, glibmm, cairomm, pangomm i atkmm) postoje u repou Mate 1.8, kada je u pitanju Slakver 14.0, njih treba instalirati isključivo sa SBo-a i to za Slakver 14.0, jer su ti paketi na repou "izbildani" za 14.1. Upravo sam tu i napravio par propusta koje su me kasnije prilično koštale.

A na Slekveru 14.1 je sasvim druga priča kada je reč instalacija ili nadogradnja Mate 1.8. Juče sam preko virtuelne mašine završio instalaciju za nepunih pet minuta, i sve na prvu radi kako treba.



Poznata ličnost
Poznata ličnost
offline
User avatar

Posts: 176
Joined: 07 Sep 2013, 18:13
Location: Novi Sad

Post Napisano: 25 Apr 2014, 21:20


Hmm bas mi se svidja sta si uradio Brok :) I verovatno ce da padne MATE . Sad vecita dilema je to da li 32 ili 64 bit? Sad trenutno imam na laptopu 64 bit Ubuntu koji bih zeleo da zamenim verovatno kazem za mate slackware. Pa samo da li su jednako podrzani 64 i 32 bit i sta da radim kad imam laptop ASUS K50IN. Jos da pitam a to je da li su posle instalacije MATE-a sva podesavanja ista kao kod drugih okruzenja? Konkretno mislim na namestanje neta, mirrora, sbopkg toolsa i Nvidia drajvera?

I samo da pitam da li se instalacija MATE-a vrsi kao root iz nekog random grafickog okruzenja ili je bolje odma pre dizanaj grafickog okruzenja to odraditi?
The quieter you become the more you are able to hear.



Administrator
Administrator
offline
User avatar

Posts: 4075
Joined: 04 Feb 2011, 20:32
Location: Beograd
Contact:

Post Napisano: 25 Apr 2014, 22:26


bad63r wrote:I samo da pitam da li se instalacija MATE-a vrsi kao root iz nekog random grafickog okruzenja ili je bolje odma pre dizanaj grafickog okruzenja to odraditi?
Možeš i jedno i drugo. Probaj ono što ti se čini jednostavnijim. :) Komande su iste, jedino je pitanje rada u čistom konzolnom okruženju vs. rada u desktop okruženju.



Prijatelj foruma
Prijatelj foruma
offline
User avatar

Posts: 2115
Joined: 08 Jun 2010, 13:28
Location: Centralna Srbija
Contact:

Post Napisano: 26 Apr 2014, 11:40


Bad63r, pošto mislim da znam o kom hardveru je reč, preporučio bih ti da ideš na 32-bit. Ovo nema nikakve veze sa Mate okruženjem, već je to neko moje lično, verovatno i subjektivno mišljenje.

Ako zapne negde oko podešavanja Mate okruženja, slobodno se javi.
Dve stvari ne rade kod Mate okruženja, a to je thumbnail videa i screensaver. Zapravo screensaver možeš koristiti Xfce-ov.
Evo ga moj Mate 1.6 na Slakveru 14.0.

Imam predlog za tebe, pošto si u drugoj temi pominjao da bi išao na minimal ili neki custom install Slakvera, kada instaliraš Slakver, idi na minimal install (imaš tu stavku), i tu nećeš instalirati KDE i njegove pakete, tako da ćeš imati Xfce i pored njega nabaciti i Mate, a tu su uvek Flux i OpenBox a može se još štošta nabaciti tipa Lxde-a, E-17/18... itd... Na Slakveru 14.0 imam 12 okruženja.


Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests